SXSETUP(8)

NAME
sxsetup - configure and display information about an SX node

SYNOPSIS
sxsetup [OPTIONS]...

DESCRIPTION
With sxsetup one can interactively or automatically configure an SX node and join it to a cluster, as well as display information about a local node.

OPTIONS

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-i, --info
    Show information and configuration of a local node, including current disk usage.

--upgrade
    Upgrade local storage format and cluster databases to the latest version. This option should be used after upgrading the node to the latest software version, to make use of the new features and improvements.

--config-file FILE
    Use config file to configure the node automatically.

--advanced
    Enable advanced configuration options. With this option one can configure additional options such as port numbers, SSL certificate settings, or number of workers. It is also required to configure a node as a regular user instead of root.

--no-remote-copy
    By default, sxsetup will create a remote volume "_sxsetup.conf" on the cluster and upload the node configuration into it. When joining a new node to the cluster, it will look for existing configurations and try to obtain some information (such as an SSL certificate) automatically, to limit the number of questions in the interactive mode. With this option no remote copy will be created.

--bare
    Create a bare (unprogrammed) node. A bare node is ready to join a cluster. Multiple bare nodes can be joined to the cluster at once, to minimize time of the rebalance process.

--force-reinit
    With this option one can reconfigure an existing node.

--wait
    When a new node is added to a cluster, an automatic data rebalance process gets started. During the rebalance, cluster works in read-write mode but no changes to the cluster structure (eg. adding or removing nodes) are allowed. With this option sxsetup will wait until the rebalance is finished.

--debug
    Turn on debug mode for the created node. This will result in a large amount of log files.

FURTHER DOCUMENTATION
Full documentation with additional examples available at: <http://www.skylable.com/docs/>

SEE ALSO
sxsetup.conf(5), sxfcgi.conf(5), sxadm(8), sxfcgi(8)